> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uplift.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Export Job

> Initiates an asynchronous data export process and returns a job ID that clients can use to poll for query results.

### Tier Services

The data export endpoint is tier-based, and there are currently 3 service tiers:

##### **Premium**

The Premium Tier has no restrictions on data export. You can access all available data without any limitations.

##### **Base**

The Base Tier does not allow historical data requests before 12/12/2024. Be mindful of this when setting the `startTime` and `endTime` parameters. If you need access to older data, we recommend contacting our sales team to discuss upgrading to the Premium Tier.

##### **Unavailable**

Data export is not available without a subscription to either the Base or Premium service. You must subscribe to one of these tiers to use the data export functionality.

### Valid activity-movement pairs

Only the following `activity` and `movement` pairs are accepted. Any other pair returns a 400 error.

| Activity              | Valid movements                                                                                                                                                             |
| --------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **agility**           | cutting, five\_ten\_five                                                                                                                                                    |
| **baseball**          | hitting, pitching                                                                                                                                                           |
| **basketball**        | free\_throw, jump\_shot, layup                                                                                                                                              |
| **gait**              | running, walking                                                                                                                                                            |
| **golf**              | swing                                                                                                                                                                       |
| **jump**              | broad, countermovement, drop\_vertical, single\_leg, single\_leg\_broad, squat                                                                                              |
| **lunge**             | forward                                                                                                                                                                     |
| **other**             | other                                                                                                                                                                       |
| **range\_of\_motion** | ankle\_flexion, cervical\_flexion\_extension, cervical\_rotation, sfma\_shoulder\_extension, sfma\_shoulder\_flexion, shoulder\_9090, shoulder\_flexion, t\_spine\_rotation |
| **softball**          | hitting                                                                                                                                                                     |
| **squat**             | body\_weight, overhead, sfma\_squat, single\_leg                                                                                                                            |
| **stability**         | plank, push\_up, rotary, sfma\_back\_bend, sfma\_toe\_touch, single\_leg\_stance, static\_stance, y\_balance\_lower\_quarter, y\_balance\_upper\_quarter                    |
| **track\_and\_field** | discus, hammer\_throw, high\_jump, shot\_put                                                                                                                                |
| **tennis**            | backhand, forehand, overhand\_serve, underhand\_serve                                                                                                                       |

***


## OpenAPI

````yaml POST /data/export
openapi: 3.0.0
info:
  title: Uplift SQL API
  version: v1
  description: >-
    API for submitting SQL queries and retrieving job IDs for the Uplift
    platform.
servers:
  - url: https://api.uplift.ai/v1
security: []
paths:
  /data/export:
    post:
      tags:
        - Data Export
      summary: Create Export Job
      description: >-
        Initiates an asynchronous data export process and returns a job ID that
        clients can use to poll for query results.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                startTime:
                  type: integer
                  format: int64
                  description: >-
                    Specifies the start of the time range for data retrieval in
                    epoch time (UTC). Defaults to 24 hours prior to reduce the
                    volume of data exported.
                endTime:
                  type: integer
                  format: int64
                  description: >-
                    Specifies the end of the time range for data retrieval in
                    epoch time (UTC). Defaults to the current time to provide
                    up-to-date information.
                athletes:
                  type: array
                  items:
                    type: string
                  description: >-
                    The list of athlete IDs to identify athlete data to be
                    included in the export job.
                activity:
                  type: string
                  enum:
                    - agility
                    - baseball
                    - basketball
                    - gait
                    - golf
                    - jump
                    - lunge
                    - other
                    - range_of_motion
                    - softball
                    - squat
                    - stability
                    - track_and_field
                    - tennis
                  description: Specifies the type of activity for the export.
                movement:
                  type: string
                  enum:
                    - cutting
                    - hitting
                    - pitching
                    - free_throw
                    - jump_shot
                    - layup
                    - running
                    - walking
                    - swing
                    - broad
                    - countermovement
                    - drop_vertical
                    - single_leg
                    - single_leg_broad
                    - squat
                    - forward
                    - other
                    - static_stance
                    - ankle_flexion
                    - cervical_flexion_extension
                    - cervical_rotation
                    - sfma_shoulder_extension
                    - sfma_shoulder_flexion
                    - shoulder_9090
                    - shoulder_flexion
                    - t_spine_rotation
                    - body_weight
                    - overhead
                    - sfma_squat
                    - plank
                    - push_up
                    - rotary
                    - sfma_back_bend
                    - sfma_toe_touch
                    - single_leg_stance
                    - y_balance_lower_quarter
                    - y_balance_upper_quarter
                    - hammer_throw
                    - high_jump
                    - shot_put
                    - five_ten_five
                    - discus
                    - backhand
                    - forehand
                    - overhand_serve
                    - underhand_serve
                  description: Further filters the export based on specific movement type.
                dateMode:
                  type: string
                  enum:
                    - last_modified
                    - capture_time
                  description: >-
                    Determines which date field ('last_modified' or
                    'capture_time') should be used for time-based filtering.
                    Defaults to 'last_modified'.
                metrics:
                  type: array
                  items:
                    type: string
                  description: >-
                    The list of metrics to include in the export job.


                    Read more about [Filtering Metrics](../../filtering-metrics)
                    for usage examples.
                row_filter_column:
                  type: string
                  description: >-
                    Control the row of the session to be exported. Only the row
                    with the specified column value equal to 0 will be exported.


                    Read more about [Filtering Metrics](../../filtering-metrics)
                    for usage examples.
              required:
                - activity
                - movement
      responses:
        '200':
          description: >-
            Export request successfully created. Returns a job ID to track the
            export status.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jobId:
                    type: string
                    description: >-
                      The unique identifier for the export job. Use this ID to
                      poll for export status and retrieve results.
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  responses:
    BadRequest:
      description: Invalid request parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: BadRequest
            message: >-
              The request parameters are invalid. Please review the request and
              try again.
    Unauthorized:
      description: Unauthorized. Bearer token is missing or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Unauthorized
            message: Bearer token is missing or invalid.
    Forbidden:
      description: Forbidden. You do not have permission to access this resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Forbidden
            message: You do not have permission to access this resource.
    TooManyRequests:
      description: Too Many Requests. The rate limit has been exceeded.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: TooManyRequests
            message: The rate limit has been exceeded. Please wait and try again later.
    InternalServerError:
      description: Internal Server Error. Something went wrong on the server.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: InternalServerError
            message: >-
              An unexpected error occurred on the server. Please try again
              later.
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: A short error code representing the type of error.
        message:
          type: string
          description: A detailed message explaining the error.
        messages:
          type: string
          description: >-
            Create Capture only: validation detail. Multiple issues are joined
            with `; `.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````